Bug 184220 - games/freedoko: Fix build on -current
Summary: games/freedoko: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 18:10 UTC by tkato432
Modified: 2013-11-26 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (494 bytes, patch)
2013-11-24 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-11-24 18:10:00 UTC
- Fix build on -current

New file:
files/patch-src__freedoko.cpp
Comment 1 William Grzybowski freebsd_committer 2013-11-26 15:43:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-11-26 15:43:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-11-26 15:43:34 UTC
Author: wg
Date: Tue Nov 26 15:43:20 2013
New Revision: 334947
URL: http://svnweb.freebsd.org/changeset/ports/334947

Log:
  games/freedoko: fix build on current
  
  PR:		ports/184220
  Submitted by:	KATO Tsuguru <tkato432 yahoo.com>

Added:
  head/games/freedoko/files/
  head/games/freedoko/files/patch-src__freedoko.cpp   (contents, props changed)
Modified:
  head/games/freedoko/Makefile

Modified: head/games/freedoko/Makefile
==============================================================================
--- head/games/freedoko/Makefile	Tue Nov 26 15:40:34 2013	(r334946)
+++ head/games/freedoko/Makefile	Tue Nov 26 15:43:20 2013	(r334947)
@@ -12,7 +12,6 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Play the card game Doppelkopf
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/../COPYING
 
 LIB_DEPENDS=	libgnet-2.0.so:${PORTSDIR}/net/gnet2 \
 		libgtkmm-2.4.so:${PORTSDIR}/x11-toolkits/gtkmm24

Added: head/games/freedoko/files/patch-src__freedoko.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/freedoko/files/patch-src__freedoko.cpp	Tue Nov 26 15:43:20 2013	(r334947)
@@ -0,0 +1,10 @@
+--- freedoko.cpp.orig	2011-12-18 06:05:12.000000000 -0200
++++ freedoko.cpp	2013-11-26 13:40:09.390150518 -0200
+@@ -43,6 +43,7 @@
+ #else
+ // for 'mkdir'
+ #include <sys/stat.h>
++#include <unistd.h>
+ #endif
+ 
+ #include "class/getopt/getopt.h"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"